<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <title>Make a Conference!</title>
    <script type="module" src="./js/form.js"></script>
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
          <div class="container-fluid">
            <a class="navbar-brand" href="/">Conference GO!</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                  <a class="nav-link" aria-current="page" >Home</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" aria-current="page" >Attendees List</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link active" aria-current="page" >New location</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" aria-current="page" >Make Conference</a>
                </li>
              </ul>
              <form class="d-flex">
                <input class="form-control me-2" type="search" placeholder="Search conferences" aria-label="Search">
                <button class="btn btn-outline-success" type="submit">Search</button>
              </form>
            </div>
          </div>
        </nav>
      </header>
      <main>
        <div class="container">
          <div class="row">
            <div class="offset-3 col-6">
              <div class="shadow p-4 mt-4">
                <h1>Schedule a Conference</h1>
                <form id="create-conference-form">
                  <div class="form-floating mb-3">
                    <input placeholder="Name" required type="text" name="name" id="name" class="form-control">
                    <label for="name">Conference Name</label>
                  </div>
                  <div class="mb-3">
                    <label for="description">Description</label>
                    <textarea name="description" id="description" class="form-control" placeholder=""></textarea>
                  </div>
                  <div class="form-floating mb-3">
                    <input placeholder="start_date" required type="date" name="starts" id="start_date" class="form-control">
                    <label for="start_date">Conference Start Date</label>
                  </div>
                  <div class="form-floating mb-3">
                    <input placeholder="end_date" required type="date" name="ends" id="end_date" class="form-control">
                    <label for="end_date">Conference End Date</label>
                  </div>
                  <div class="form-floating mb-3" >
                    <input type="number" name="max_presentations" id="max_presentations" class="form-control" placeholder="">
                    <label for="max_presentations">Maximum Presentations</label>
                  </div>
                  <div class="form-floating mb-3" >
                    <input type="number" name="max_attendees" id="max_attendees" class="form-control" placeholder="">
                    <label for="max_attendees">Maximum Attendees</label>
                  </div>
                  <div class="mb-3">
                    <select required id="location" name="location" class="form-select">
                      <option selected value="">Choose a location</option>
                    </select>
                  </div>
                  <div id="buttonc">
                     <button class="btn btn-primary" id="create_button">Create</button>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </main>
</body>
</html>
